# Uses of Interface
org.eclipse.emf.compare.CompareFactory

Packages that use CompareFactory
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl

## Uses of CompareFactory in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as CompareFactory
Modifier and Type
Field
Description
`static final CompareFactory`
CompareFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.compare that return CompareFactory
Modifier and Type
Method
Description
`CompareFactory`
ComparePackage.`getCompareFactory()`
Returns the factory that creates the instances of the model.

## Uses of CompareFactory in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement CompareFactory
Modifier and Type
Class
Description
`class`
`CompareFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.compare.impl that return CompareFactory
Modifier and Type
Method
Description
`CompareFactory`
ComparePackageImpl.`getCompareFactory()`
`static CompareFactory`
CompareFactoryImpl.`init()`
Creates the default factory implementation.